%global         momorel 1

Name:		gperftools
Version:	2.5
Release:	%{momorel}m%{?dist}
License:	Modified BSD
Group:		Development/Tools
Summary:	Very fast malloc and performance analysis tools
URL:		https://github.com/gperftools/gperftools
Source0:	https://github.com/gperftools/gperftools/releases/download/gperftools-%{version}/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glibc-devel >= 2.14
# Still broken, bz 238390
ExcludeArch:	ppc64
%ifnarch ppc ppc64
BuildRequires:	libunwind-devel >= 1.1
%endif
Obsoletes:      google-perftools < %{version}
Provides:       google-perftools = %{version}-%{release}

%description
Perf Tools is a collection of performance analysis tools, including a 
high-performance multi-threaded malloc() implementation that works
particularly well with threads and STL, a thread-friendly heap-checker,
a heap profiler, and a cpu-profiler.

%package devel
Summary:	Development libraries and headers for google-perftools
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:      google-perftools-devel < %{version}
Provides:       google-perftools-devel = %{version}-%{release}

%description devel
Libraries and headers for developing applications that use google-perftools.

%prep
%setup -q

%build
%configure --disable-static --program-transform-name=""
# Bad rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Can't build with smp_mflags
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}/ install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Zero files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%check
# http://code.google.com/p/google-perftools/issues/detail?id=153
%ifnarch ppc
# Their test suite is junk. Disabling.
# LD_LIBRARY_PATH=./.libs make check
%endif #%%ifnarch ppc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/pprof
%{_mandir}/man1/*
%{_docdir}/%{name}-%{version}/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
#%%dif %{_includedir}/google
%{_includedir}/google/*
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Nov 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-1m)
- update 2.5

* Wed Apr 15 2015 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-2m)
- rebuild against libunwind-1.1

* Sun Aug 11 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-1m)
- rename from google-perftools to gperftools
- update to 2.1

* Tue Jan 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1-1m)
- update 1.9.1

* Mon Aug 29 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.8.3-1m)
- update 1.8.3

* Thu Aug 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.8.2-1m)
- update to 1.8.2

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-2m)
- update glibc214 patch

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5-6m)
- rebuild for new GCC 4.6

* Sun Feb 20 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5-5m)
- add patch for gcc46, generated by gen46patch

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5-4m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-3m)
- full rebuild for mo7 release

* Thu May 27 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-2m)
- remove dups

* Wed Jan 27 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-2m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Mon Dec 29 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0rc2-1m)
- update to 1.0 rc2
- delete patch1

* Sat Sep 13 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.98-2m)
- add Patch1: google-perftools-0.98-kernel2627.patch
- set kernel2627 to 1 when building with kernel-2.6.27

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.98-1m)
- update to 0.98

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.95-2m)
- rebuild against gcc43

* Mon Feb 25 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.95-1m)
- update to 0.95
- import workaround broken ptrace header from fc-devel
- add %%do_test to enable make check 

* Mon Feb 18 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.94.1-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.94.1-2m)
- %%NoSource -> NoSource

* Thu Dec 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.94.1-1m)
- update 0.94.1

* Mon Nov  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.93-1m)
- update 0.93

* Wed May 30 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.91-2m)
- import patch from Fedora

* Wed May 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.91-1m)
- update

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8-1m)
- import to Momonga Linux
